# Generated by Django 5.1.2 on 2024-10-10 17:07

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Entity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=50)),
                (
                    "description",
                    models.TextField(blank=True, max_length=500, null=True),
                ),
                (
                    "gltf_model",
                    models.FileField(
                        blank=True,
                        help_text="Overrides all other entries",
                        max_length=200,
                        null=True,
                        upload_to="uploads/cadinspector/entity/",
                        validators=[
                            django.core.validators.FileExtensionValidator(
                                allowed_extensions=["gltf", "glb"]
                            )
                        ],
                        verbose_name="GLTF file",
                    ),
                ),
                (
                    "obj_model",
                    models.FileField(
                        blank=True,
                        max_length=200,
                        null=True,
                        upload_to="uploads/cadinspector/entity/",
                        validators=[
                            django.core.validators.FileExtensionValidator(
                                allowed_extensions=["obj"]
                            )
                        ],
                        verbose_name="OBJ file",
                    ),
                ),
                (
                    "mtl_model",
                    models.FileField(
                        blank=True,
                        max_length=200,
                        null=True,
                        upload_to="uploads/cadinspector/entity/",
                        validators=[
                            django.core.validators.FileExtensionValidator(
                                allowed_extensions=["mtl"]
                            )
                        ],
                        verbose_name="MTL file",
                    ),
                ),
                (
                    "switch",
                    models.BooleanField(default=False, help_text="Switch Z/Y axis"),
                ),
            ],
            options={
                "verbose_name": "Entity",
                "verbose_name_plural": "Entities",
            },
        ),
    ]
