# Generated by Django 5.1.2 on 2024-10-16 10:09

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("cadinspector", "0002_materialimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="Scene",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=50, verbose_name="Title")),
                (
                    "description",
                    models.TextField(
                        blank=True,
                        max_length=500,
                        null=True,
                        verbose_name="Description",
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="uploads/cadinspector/scene/",
                        verbose_name="Equirectangular image",
                    ),
                ),
                (
                    "dxf",
                    models.FileField(
                        blank=True,
                        help_text="Please, transform 3DSolids into Meshes before upload",  # noqa
                        max_length=200,
                        null=True,
                        upload_to="uploads/cadinspector/scene/",
                        validators=[
                            django.core.validators.FileExtensionValidator(
                                allowed_extensions=["dxf"]
                            )
                        ],
                        verbose_name="DXF file",
                    ),
                ),
            ],
            options={
                "verbose_name": "Scene",
                "verbose_name_plural": "Scenes",
            },
        ),
        migrations.AlterField(
            model_name="entity",
            name="description",
            field=models.TextField(
                blank=True, max_length=500, null=True, verbose_name="Description"
            ),
        ),
        migrations.AlterField(
            model_name="entity",
            name="switch",
            field=models.BooleanField(default=False, verbose_name="Switch Z/Y axis"),
        ),
        migrations.AlterField(
            model_name="entity",
            name="title",
            field=models.CharField(max_length=50, verbose_name="Title"),
        ),
        migrations.AlterField(
            model_name="materialimage",
            name="image",
            field=models.ImageField(
                upload_to="uploads/cadinspector/entity/", verbose_name="Image"
            ),
        ),
    ]
