# Generated by Django 5.1.2 on 2024-10-16 10:36

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "cadinspector",
            "0003_scene_alter_entity_description_alter_entity_switch_and_more",
        ),
    ]

    operations = [
        migrations.AlterField(
            model_name="entity",
            name="gltf_model",
            field=models.FileField(
                blank=True,
                help_text="Overrides OBJ/MTL entries",
                max_length=200,
                null=True,
                upload_to="uploads/cadinspector/entity/",
                validators=[
                    django.core.validators.FileExtensionValidator(
                        allowed_extensions=["gltf", "glb"]
                    )
                ],
                verbose_name="GLTF file",
            ),
        ),
        migrations.AlterField(
            model_name="entity",
            name="switch",
            field=models.BooleanField(
                default=False,
                help_text="Select if coming from CAD environments",
                verbose_name="Switch Z/Y axis",
            ),
        ),
        migrations.AlterField(
            model_name="scene",
            name="image",
            field=models.ImageField(
                blank=True,
                help_text="Please provide an equirectangular image",
                null=True,
                upload_to="uploads/cadinspector/scene/",
                verbose_name="Background image",
            ),
        ),
        migrations.CreateModel(
            name="Staging",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "position",
                    models.CharField(
                        default="0 0 0",
                        help_text="Left/Right - Up/Down - In/Out",
                        max_length=50,
                        verbose_name="Position",
                    ),
                ),
                (
                    "rotation",
                    models.CharField(
                        default="0 0 0",
                        help_text="Pitch - Yaw - Roll",
                        max_length=50,
                        verbose_name="Rotation",
                    ),
                ),
                (
                    "scale",
                    models.CharField(
                        default="1 1 1",
                        help_text="Width - Heigth - Depth",
                        max_length=50,
                        verbose_name="Scale",
                    ),
                ),
                (
                    "color",
                    models.CharField(
                        default="#FFFFFF", max_length=7, verbose_name="Color"
                    ),
                ),
                (
                    "data",
                    models.JSONField(blank=True, null=True, verbose_name="Data sheet"),
                ),
                (
                    "entity",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="scenes",
                        to="cadinspector.entity",
                    ),
                ),
                (
                    "scene",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="staged_entities",
                        to="cadinspector.scene",
                    ),
                ),
            ],
            options={
                "verbose_name": "Staging",
                "verbose_name_plural": "Stagings",
            },
        ),
    ]
